Migrate multiple agents

Base URL
https://{kibana_url}
  • POST /api/fleet/agents/bulk_migrate
Auth

Bulk migrate agents to another cluster.

Required privileges

Privileges fleet-agents-all

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

agents union string[] | string required
batchSize number
dryRun boolean
enrollment_token string required
uri string · format: uri required

Responses

Successful response

application/json
Any of:
actionId string required
Base URL
https://{kibana_url}